# Uses of Interface
org.eclipse.birt.report.engine.api.IPageHandler

Packages that use IPageHandler
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IPageHandler in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api with parameters of type IPageHandler
Modifier and Type
Method
Description
`void`
IRenderTask.`setPageHandler(IPageHandler callback)`
set up event handler to be called after each page is generated
`void`
IRunAndRenderTask.`setPageHandler(IPageHandler callback)`
set user defined IPageHandler
`void`
IRunTask.`setPageHandler(IPageHandler callback)`
set up event handler to be called after each page is generated